---
version: "3"

networks:
  db:
  proxy:
    external: true

volumes:
  db:

services:

  wikijs:
    image: {{wiki_js_image}}:{{wiki_js_image_version}}
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
      - proxy
      - db
    env_file:
      - "./wikijs.env"
    depends_on:
      - db
  
  
  db:
    image: postgres:15.1-alpine
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
      - db
    env_file:
      - "./db.env"
    volumes:
      - db:/var/lib/postgresql/data
